# Logo Matches ## Read matches for logo queries by ID `client.BrandProtection.LogoMatches.Get(ctx, params) (*LogoMatchGetResponse, error)` **get** `/accounts/{account_id}/brand-protection/logo-matches` Return matches for logo queries based on ID ### Parameters - `params LogoMatchGetParams` - `AccountID param.Field[string]` Path param - `Limit param.Field[string]` Query param - `LogoID param.Field[[]string]` Query param - `Offset param.Field[string]` Query param ### Returns - `type LogoMatchGetResponse struct{…}` - `Matches []map[string, unknown]` - `Total int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/brand_protection" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) logoMatch, err := client.BrandProtection.LogoMatches.Get(context.TODO(), brand_protection.LogoMatchGetParams{ AccountID: cloudflare.F("x"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", logoMatch.Matches) } ``` #### Response ```json { "matches": [ { "foo": "bar" } ], "total": 0 } ``` ## Download matches for logo queries by ID `client.BrandProtection.LogoMatches.Download(ctx, params) (*LogoMatchDownloadResponse, error)` **get** `/accounts/{account_id}/brand-protection/logo-matches/download` Return matches as CSV for logo queries based on ID ### Parameters - `params LogoMatchDownloadParams` - `AccountID param.Field[string]` Path param - `Limit param.Field[string]` Query param - `LogoID param.Field[[]string]` Query param - `Offset param.Field[string]` Query param ### Returns - `type LogoMatchDownloadResponse struct{…}` - `Matches []map[string, unknown]` - `Total int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/brand_protection" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.BrandProtection.LogoMatches.Download(context.TODO(), brand_protection.LogoMatchDownloadParams{ AccountID: cloudflare.F("x"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Matches) } ``` #### Response ```json { "matches": [ { "foo": "bar" } ], "total": 0 } ```